version: '3.7'

services:
  agent:
    build: 
      context: ./agent
      dockerfile: Dockerfile
    volumes:
      - ./agent:/agent
      - ./.Key.js:/agent/.Key.js
      - ./config.js:/agent/config.js
      - ./AuctionServices:/agent/AuctionServices
    networks:
      - internal

  scrapper:
    build: 
      context: ./scrapper
      dockerfile: Dockerfile
    ports:
      - 3020
    volumes:
      - ./scrapper:/scrapper
      - ./.Key.js:/scrapper/.Key.js
      - ./config.js:/scrapper/config.js
      - ./AuctionServices:/scrapper/AuctionServices
    networks:
      - internal
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.backend.rule=Host(`jucundus-agent1.saucisse.ninja`)"
      - "traefik.http.routers.backend.entrypoints=websecure"
      - "traefik.http.routers.backend.tls=true"
      - "traefik.http.routers.backend.tls.certresolver=myresolver"

networks:
  internal:
      driver: bridge